# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_IntegerArray Class Reference

Contains an array of integers.
.

`#include <TDataStd_IntegerArray.hxx>`

Inheritance diagram for TDataStd_IntegerArray:

[legend]

## Public Member Functions

Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
| Initialize the inner array with bounds from <lower> to <upper> .
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer Value)
| Sets the <index>th element of the array to <value> .
Standard_EXPORT Standard_Integer | Value (const Standard_Integer Index) const
| Return the value of the <index>th element of the array .
Standard_Integer | operator() (const Standard_Integer Index) const
Standard_EXPORT Standard_Integer | Lower () const
| Returns the lower boundary of this array of integers. .
Standard_EXPORT Standard_Integer | Upper () const
| Return the upper boundary of this array of integers. .
Standard_EXPORT Standard_Integer | Length () const
| Returns the length of this array of integers in terms of the number of elements it contains. .
Standard_EXPORT void | ChangeArray (const Handle(TColStd_HArray1OfInteger)&newArray, const Standard_Boolean isCheckItems=Standard_True)
| Sets the inner array <myvalue> of the IntegerArray attribute to <newarray>. If value of <newarray> differs from <myvalue>, Backup performed and myValue refers to new instance of HArray1OfInteger that holds <newarray> values If <ischeckitems> equal True each item of <newarray> will be checked with each item of <myvalue> for coincidence (to avoid backup). .
const Handle_TColStd_HArray1OfInteger | Array () const
| Return the inner array of the IntegerArray attribute .
Standard_Boolean | GetDelta () const
void | SetDelta (const Standard_Boolean isDelta)
| for internal use only!
Standard_EXPORT | TDataStd_IntegerArray ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
| Note. Uses inside ChangeArray() method .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
virtual Standard_EXPORT Handle_TDF_DeltaOnModification | DeltaOnModification (const Handle(TDF_Attribute)&anOldAttribute) const
| Makes a DeltaOnModification between <me> and <anoldattribute>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID for arrays of integers.
static Standard_EXPORT Handle_TDataStd_IntegerArray | Set (const TDF_Label &label, const Standard_Integer lower, const Standard_Integer upper, const Standard_Boolean isDelta=Standard_False)
| Finds or creates on the <label> an integer array attribute with the specified <lower> and <upper> boundaries. If <isdelta> == False, DefaultDeltaOnModification is used. If attribute is already set, all input parameters are refused and the found attribute is returned. .

## Private Member Functions

void | RemoveArray ()

## Private Attributes

Handle_TColStd_HArray1OfInteger | myValue
Standard_Boolean | myIsDelta

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_IntegerArray::TDataStd_IntegerArray | ( |  | ) |

## Member Function Documentation

const Handle_TColStd_HArray1OfInteger TDataStd_IntegerArray::Array | ( |  | ) | const

Standard_EXPORT void TDataStd_IntegerArray::ChangeArray | ( | const Handle(TColStd_HArray1OfInteger)& | newArray,
|  | const Standard_Boolean | isCheckItems = `Standard_True`
| ) |

virtual Standard_EXPORT Handle_TDF_DeltaOnModification TDataStd_IntegerArray::DeltaOnModification | ( | const Handle(TDF_Attribute)& | anOldAttribute | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT Standard_OStream& TDataStd_IntegerArray::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_Boolean TDataStd_IntegerArray::GetDelta | ( |  | ) | const`[inline]`

static Standard_EXPORT const Standard_GUID& TDataStd_IntegerArray::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_IntegerArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_IntegerArray::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_IntegerArray::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer TDataStd_IntegerArray::Length | ( |  | ) | const

Standard_EXPORT Standard_Integer TDataStd_IntegerArray::Lower | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_IntegerArray::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_Integer TDataStd_IntegerArray::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

Standard_EXPORT void TDataStd_IntegerArray::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

void TDataStd_IntegerArray::RemoveArray | ( |  | ) | `[inline, private]`

Standard_EXPORT void TDataStd_IntegerArray::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_IntegerArray TDataStd_IntegerArray::Set | ( | const TDF_Label & | label,
|  | const Standard_Integer | lower,
|  | const Standard_Integer | upper,
|  | const Standard_Boolean | isDelta = `Standard_False`
| ) | `[static]`

void TDataStd_IntegerArray::SetDelta | ( | const Standard_Boolean | isDelta | ) | `[inline]`

Standard_EXPORT void TDataStd_IntegerArray::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer | Value
| ) |

Standard_EXPORT Standard_Integer TDataStd_IntegerArray::Upper | ( |  | ) | const

Standard_EXPORT Standard_Integer TDataStd_IntegerArray::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TDataStd_IntegerArray::myIsDelta `[private]`

Handle_TColStd_HArray1OfInteger TDataStd_IntegerArray::myValue `[private]`

The documentation for this class was generated from the following files:

- TDataStd_IntegerArray.hxx
- TDataStd_IntegerArray.lxx